## Run Feasibility

### Description
Run a feasibility query on the Prodege panel

### Request URL
*Prodege Base URL + */feasibility-run

### Request Method
POST

### Request Parameters
| Parameter Name              | Parameter Type | Description                                                                                                            | Required? |
|-----------------------------|----------------|------------------------------------------------------------------------------------------------------------------------|-----------|
| apik                        | String         | Your API Key.                                                                                                         | Yes       |
| request_date                | Numeric        | Timestamp in milliseconds (see [Authentication](https://developer.prodege.com/demand/authentication)).                 | Yes       |
| signature                   | String         | The signature of your request (see [Authentication](https://developer.prodege.com/demand/authentication)).             | Yes       |
| targeting_criteria          | array          | JSON array of targeting criteria (see [JSON Examples](https://developer.prodege.com/demand/appendix/json-examples)).  | Yes       |
| country_id                  | Numeric        | The id that uniquely identifies the projects’ country (see [Lookup All Supported Countries](https://developer.prodege.com/demand/api-reference/lookup-calls/lookup-all-supported-countries)). | Yes       |
| expected_incidence_rate     | Numeric        | Expected incidence rate %.                                                                                             | No        |
| loi                         | Numeric        | The expected length of interview.                                                                                     | No        |
| prodege_project_id          | Numeric        | The ID that uniquely identifies the project in the Prodege system. This is an optional parameter that can be used in order to receive feasibility for a specific project. | No        |

### Response Parameters
| Parameter Name            | Parameter Type | Description                                                    |
|-------------------------|----------------|----------------------------------------------------------------|
| _return_status_         | String         | The return status for this api call.                           |
| completes_estimate       | Numeric        | Count of available respondents based on provided criteria.     |
| cpi                      | Numeric        | The cost per complete determined from the provided incidence and loi (returned if loi and expected_incidence_rate are provided). |

### _targeting_criteria Element Model_  (see [JSON Examples](https://developer.prodege.com/demand/appendix/json-examples) section for sample data)
| Property Name             | Property Type | Description                                                                                       |
|-------------------------|----------------|---------------------------------------------------------------------------------------------------|
| question_id             | Numeric        | Targeting Criterion identifier (based on the Questions Library)                                   |
| operator                | String         | Possible values: OR, NOT, BETWEEN                                                                  |
| precodes                | array of option_id’s | List of Targeting Criterion question options                                                       |

Last updated 8 months ago
